#ifndef INSTRUCTORBUTTONGROUPWIDGET_H
#define INSTRUCTORBUTTONGROUPWIDGET_H

#include <QWidget>
#include "mainwindow.h"

namespace Ui {
class InstructorButtonGroupWidget;
}

class MainWindow;

class InstructorButtonGroupWidget : public QWidget
{
    Q_OBJECT

public:
    explicit InstructorButtonGroupWidget(QWidget *parent = nullptr);
    void initialize(MainWindow *mainWindow);
    ~InstructorButtonGroupWidget();

private slots:
    void on_loadToServerButton_clicked();

    void on_undoChangesButton_clicked();

    void on_startWithCurrentChangesButton_clicked();

private:
    Ui::InstructorButtonGroupWidget *ui;
    MainWindow *mainWindow;
};

#endif // INSTRUCTORBUTTONGROUPWIDGET_H
